#ifndef _DICT_HW_IMAGE_H
#define _DICT_HW_IMAGE_H

#ifdef DICT_TIFF_SUPPORT
# include <tiffio.h>
#endif /* DICT_TIFF_SUPPORT */

#include "dict_hw.h"

enum DICTImageType {
    DICT_IMAGE_TIFF = 0
};

int dictImageFree(DICTContext ctx);


int dictReduceImage(DICTContext ps, unsigned char *image, int width, int height);
int dictImageFreeBuffer(DICTContext ctx, DICTImageType image_type, void *image_buf);
int dictImageLoadTemplateImage(DICTContext ctx, const char *filename);
int dictImageLoadImage(DICTContext ctx, const char *filename);


#endif /* _DICT_HW_IMAGE_H */
